using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace SMB
{
    public class SMB
    {
        public static void Main()
        {

            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMB",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("marioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luigi
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Luigi SMB",
                    NameToOrderByOverride = "luigi",
                    DescriptionOverride = "Luigi",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("luigiView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("luigi.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //goomba
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Goomba SMB",
                    NameToOrderByOverride = "goomba",
                    DescriptionOverride = "Goomba",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("goombaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("goomba.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //goomba
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Goomba SMB",
                    NameToOrderByOverride = "goomba",
                    DescriptionOverride = "Goomba",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("goombaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("goomba2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //goomba
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Grey Goomba SMB",
                    NameToOrderByOverride = "goomba",
                    DescriptionOverride = "Goomba",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("goombaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("goomba3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Koopa SMB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("koopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopa.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Koopa SMB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("koopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopa2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Koopa SMB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("koopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopa3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bigmario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Mario SMB",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("marioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigmario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bigluigi
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Luigi SMB",
                    NameToOrderByOverride = "luigi",
                    DescriptionOverride = "Luigi",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("luigiView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigluigi.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bigluigi
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Bowser SMB",
                    NameToOrderByOverride = "bowser",
                    DescriptionOverride = "King Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("kingkoopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("kingkoopa.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //peach
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Princess Peach SMB",
                    NameToOrderByOverride = "peach",
                    DescriptionOverride = "Princess Toadstool",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("princesstoadstoolView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("princesstoadstool.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //toad
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Toad SMB",
                    NameToOrderByOverride = "toad",
                    DescriptionOverride = "Toad",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("toadView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("toad.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //buzzybeetle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Buzzy Beetle SMB",
                    NameToOrderByOverride = "buzzybeetle",
                    DescriptionOverride = "Buzzy Beetle",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("buzzybeetleView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("buzzybeetle.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //buzzybeetle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Buzzy Beetle SMB",
                    NameToOrderByOverride = "buzzybeetle",
                    DescriptionOverride = "Buzzy Beetle",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("buzzybeetleView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("buzzybeetle2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //buzzybeetle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Grey Buzzy Beetle SMB",
                    NameToOrderByOverride = "buzzybeetle",
                    DescriptionOverride = "Buzzy Beetle",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("buzzybeetleView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("buzzybeetle3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bulletbill
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Bullet Bill SMB",
                    NameToOrderByOverride = "bulletbill",
                    DescriptionOverride = "Bullet Bill",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("bulletbillView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bulletbill.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //piranhaplant
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Piranha Plant SMB",
                    NameToOrderByOverride = "piranhaplant",
                    DescriptionOverride = "Piranha Plant",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("piranhaplantView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("piranhaplant.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //piranhaplant
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Piranha Plant SMB",
                    NameToOrderByOverride = "piranhaplant",
                    DescriptionOverride = "Piranha Plant",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("piranhaplantView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("piranhaplant2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopashell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Koopa Shell SMB",
                    NameToOrderByOverride = "koopashell",
                    DescriptionOverride = "Koopa Shell",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("koopashellView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopashell.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopashell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Koopa Shell SMB",
                    NameToOrderByOverride = "koopashell",
                    DescriptionOverride = "Koopa Shell",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("koopashellView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopashell3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopashell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Koopa Shell SMB",
                    NameToOrderByOverride = "koopashell",
                    DescriptionOverride = "Koopa Shell",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("koopashellView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopashell2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //buzzybeetleshell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Buzzy Beetle Shell SMB",
                    NameToOrderByOverride = "buzzybeetleshell",
                    DescriptionOverride = "Buzzy Beetle Shell",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("buzzybeetleshellView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("buzzybeetleshell.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //buzzybeetleshell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Buzzy Beetle Shell SMB",
                    NameToOrderByOverride = "buzzybeetleshell",
                    DescriptionOverride = "Buzzy Beetle Shell",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("buzzybeetleshellView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("buzzybeetleshell2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //buzzybeetleshell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Grey Buzzy Beetle Shell SMB",
                    NameToOrderByOverride = "buzzybeetleshell",
                    DescriptionOverride = "Buzzy Beetle Shell",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("buzzybeetleshellView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("buzzybeetleshell3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //hammerbro
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Hammer Bro SMB",
                    NameToOrderByOverride = "hammerbro",
                    DescriptionOverride = "Hammer Bro",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("hammerbroView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hammerbro.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //hammerbro
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Hammer Bro SMB",
                    NameToOrderByOverride = "hammerbro",
                    DescriptionOverride = "Hammer Bro",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("hammerbroView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hammerbro2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //spiny
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Spiny SMB",
                    NameToOrderByOverride = "spiny",
                    DescriptionOverride = "Spiny",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("spinyView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("spiny.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //lakitu
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Lakitu SMB",
                    NameToOrderByOverride = "lakitu",
                    DescriptionOverride = "Lakitu",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("lakituView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("lakitu.png", 1f);
                            Instance.GetComponent<PhysicalBehaviour>().rigidbody.gravityScale = 0f;
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //spinyball
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Ball"),
                    NameOverride = "Spiny Ball SMB",
                    NameToOrderByOverride = "spiny",
                    DescriptionOverride = "Spiny",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("spinyView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
    ModAPI.LoadSprite("spinyball.png", 1f)
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Koopa Paratroopa SMB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("koopaparatroopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopaparatroopa.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Koopa Paratroopa SMB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("koopaparatroopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopaparatroopa2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Koopa Paratroopa SMB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("koopaparatroopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("koopaparatroopa3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fire Mario SMB",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("marioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("firemario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Small Fire Mario SMB",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "A glitched version of Fire Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("unusedView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smallfiremario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //cheepcheep
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Cheep Cheep SMB",
                    NameToOrderByOverride = "cheepcheep",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("cheepcheepView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cheepcheep.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //cheepcheep
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Grey Cheep Cheep SMB",
                    NameToOrderByOverride = "cheepcheep",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("cheepcheepView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cheepcheep2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //blooperbaby
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blooper Baby SMB",
                    NameToOrderByOverride = "blooperbaby",
                    DescriptionOverride = "Blooper Baby",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("blooperbabyView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("blooperbaby.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //blooperbaby
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Blooper Baby SMB",
                    NameToOrderByOverride = "blooperbaby",
                    DescriptionOverride = "An unused version the Blooper Baby that is found the unused Japanese level -3",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("unusedView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("blooperbaby2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Donkey Kong Mario DK",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("dkmarioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("dkmario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //barrel
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Oil Drum DK",
                    NameToOrderByOverride = "barrel",
                    DescriptionOverride = "Oil Drum",
                    CategoryOverride = ModAPI.FindCategory("Explosives"),
                    ThumbnailOverride = ModAPI.LoadSprite("oildrumView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("oildrum.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //donkeykong
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Donkey Kong DK",
                    NameToOrderByOverride = "donkeykong",
                    DescriptionOverride = "Donkey Kong",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("donkeykongView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("donkeykong.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //pauline
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Pauline DK",
                    NameToOrderByOverride = "pauline",
                    DescriptionOverride = "Pauline",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("paulineView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pauline.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //barrel
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Ball"),
                    NameOverride = "Barrel DK",
                    NameToOrderByOverride = "barrel",
                    DescriptionOverride = "Barrel",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("barrelView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
    ModAPI.LoadSprite("barrel.png", 1f)
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Shellcreeper MB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Koopa",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("oldkoopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("oldkoopa.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Shellcreeper MB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Shellcreeper",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("oldkoopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("oldkoopa2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //koopa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Purple Shellcreeper MB",
                    NameToOrderByOverride = "koopa",
                    DescriptionOverride = "Shellcreeper",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("oldkoopaView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("oldkoopa3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //sidestepper
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Side Stepper MB",
                    NameToOrderByOverride = "sidestepper",
                    DescriptionOverride = "Side Stepper",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("sidestepperView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sidestepper.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //sidestepper
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Green Side Stepper MB",
                    NameToOrderByOverride = "sidestepper",
                    DescriptionOverride = "Side Stepper",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("sidestepperView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sidestepper2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //sidestepper
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Side Stepper MB",
                    NameToOrderByOverride = "sidestepper",
                    DescriptionOverride = "Side Stepper",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("sidestepperView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sidestepper3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //fighterfly
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fighter Fly MB",
                    NameToOrderByOverride = "fighterfly",
                    DescriptionOverride = "Fighter Fly",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("fighterflyView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fighterfly.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //slipice
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Slipice MB",
                    NameToOrderByOverride = "slipice",
                    DescriptionOverride = "Slipice",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("slipiceView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("slipice.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //castle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle SMB",
                    NameToOrderByOverride = "castle",
                    DescriptionOverride = "Castle",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("castle.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //flagpole
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Flagpole SMB",
                    NameToOrderByOverride = "flagpole",
                    DescriptionOverride = "Flagpole",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("flagpole.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //castle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Castle SMB",
                    NameToOrderByOverride = "castle",
                    DescriptionOverride = "Big Castle",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigcastle.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luigi
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Old Luigi MB",
                    NameToOrderByOverride = "luigi",
                    DescriptionOverride = "Luigi",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("oldluigiView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("oldluigi.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Old Mario MB",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("oldmarioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("oldmario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //castle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Castle SMB2 (SMBLL)",
                    NameToOrderByOverride = "castle",
                    DescriptionOverride = "Big Castle",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigcastle2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //castle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle SMB2 (SMBLL)",
                    NameToOrderByOverride = "castle",
                    DescriptionOverride = "Castle",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("castle2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //peach
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Princess Peach SMB2 (SMBLL)",
                    NameToOrderByOverride = "peach",
                    DescriptionOverride = "Princess Toadstool",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("princesstoadstoolView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("princesstoadstool2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mushroom
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mushroom SMB",
                    NameToOrderByOverride = "mushroom",
                    DescriptionOverride = "Mushroom",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mushroom.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //1up
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "1Up SMB",
                    NameToOrderByOverride = "1up",
                    DescriptionOverride = "1Up",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("1up.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //starman
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Starman SMB",
                    NameToOrderByOverride = "starman",
                    DescriptionOverride = "Starman",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("starman.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //powblock
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Powblock SMB",
                    NameToOrderByOverride = "powblock",
                    DescriptionOverride = "Powblock",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("mbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("powblock.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //pipe
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Pipe SMB",
                    NameToOrderByOverride = "pipe",
                    DescriptionOverride = "Pipe",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pipe.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //fireflower
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fire Flower SMB",
                    NameToOrderByOverride = "fireflower",
                    DescriptionOverride = "Fire Flower",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fireflower.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Overworld Ground SMB",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbground.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underground Ground SMB",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbground2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle Ground SMB",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbground3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underwater Ground SMB",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbground4.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luckyblock
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Lucky Block SMB",
                    NameToOrderByOverride = "luckyblock",
                    DescriptionOverride = "Lucky Block",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("luckyblock.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Overworld Brick SMB",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbbrick.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underground Brick SMB",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbbrick2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle Brick SMB",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbbrick3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Overworld Ground SMB2 (SMBLL)",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smblltilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbllground.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underground Ground SMB2 (SMBLL)",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smblltilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbllground2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle Ground SMB2 (SMBLL)",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smblltilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbllground3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //tree
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Tree SMB",
                    NameToOrderByOverride = "tree",
                    DescriptionOverride = "Tree",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tree.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bush
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Bush SMB",
                    NameToOrderByOverride = "bush",
                    DescriptionOverride = "Bush",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bush.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bulletbilllauncher
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Bullet Bill Launcher SMB",
                    NameToOrderByOverride = "bulletbilllauncher",
                    DescriptionOverride = "Bullet Bill Launcher",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bulletbilllauncher.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Overworld Brick SMB2 (SMBLL)",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smblltilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbllbrick.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underground Brick SMB2 (SMBLL)",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smblltilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbllbrick2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle Brick SMB2 (SMBLL)",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smblltilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbllbrick3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //turnip
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Turnip SMB2 (SMBUSA)",
                    NameToOrderByOverride = "turnip",
                    DescriptionOverride = "Turnip",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusaobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("turnip.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //turnip
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Small Turnip SMB2 (SMBUSA)",
                    NameToOrderByOverride = "turnip",
                    DescriptionOverride = "Turnip",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusaobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("turnip2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //girder
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Girder DK",
                    NameToOrderByOverride = "girder",
                    DescriptionOverride = "Girder",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("mbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("girder.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //girder
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Girder DK",
                    NameToOrderByOverride = "girder",
                    DescriptionOverride = "Girder",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("mbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("girder2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //bluetiles
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Blue Tile Things MB",
                    NameToOrderByOverride = "tile",
                    DescriptionOverride = "Blue Tiles or something",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("mbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("btile.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mushroom
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mushroom SMB2 (SMBLL)",
                    NameToOrderByOverride = "mushroom",
                    DescriptionOverride = "Mushroom",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbllobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mushroom2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mushroom
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Poison Mushroom SMB2 (SMBLL)",
                    NameToOrderByOverride = "mushroom",
                    DescriptionOverride = "Mushroom",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbllobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pmushroom.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //1up
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "1Up SMB2 (SMBLL)",
                    NameToOrderByOverride = "1up",
                    DescriptionOverride = "1Up",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbllobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("1up2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mushroom
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mushroom SMB2 (SMBUSA)",
                    NameToOrderByOverride = "mushroom",
                    DescriptionOverride = "Mushroom",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusaobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mushroom3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //1up
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "1Up SMB2 (SMBUSA)",
                    NameToOrderByOverride = "1up",
                    DescriptionOverride = "1Up",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusaobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("1up3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //coin
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Coin SMB",
                    NameToOrderByOverride = "coin",
                    DescriptionOverride = "Coin",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("coin.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //potion
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Potion SMB2 (SMBUSA)",
                    NameToOrderByOverride = "potion",
                    DescriptionOverride = "Potion",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusaobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("potion.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMB2 (SMBUSA)",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario2View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Mario SMB2 (SMBUSA)",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario2View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigmario2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luigi
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Luigi SMB2 (SMBUSA)",
                    NameToOrderByOverride = "luigi",
                    DescriptionOverride = "Luigi",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("luigi2View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("luigi2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luigi
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Luigi SMB2 (SMBUSA)",
                    NameToOrderByOverride = "luigi",
                    DescriptionOverride = "Luigi",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("luigi2View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigluigi2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //peach
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Peach SMB2 (SMBUSA)",
                    NameToOrderByOverride = "peach",
                    DescriptionOverride = "Peach",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("peach3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("peach3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //peach
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Peach SMB2 (SMBUSA)",
                    NameToOrderByOverride = "peach",
                    DescriptionOverride = "Peach",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("peach3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigpeach.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //toad
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Toad SMB2 (SMBUSA)",
                    NameToOrderByOverride = "toad",
                    DescriptionOverride = "Toad",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("toad2View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("toad2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //toad
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Toad SMB2 (SMBUSA)",
                    NameToOrderByOverride = "toad",
                    DescriptionOverride = "Toad",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("toad2View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigtoad.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //wart
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Wart SMB2 (SMBUSA)",
                    NameToOrderByOverride = "wart",
                    DescriptionOverride = "Wart",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("wartView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wart.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ladder
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Ladder DK",
                    NameToOrderByOverride = "ladder",
                    DescriptionOverride = "Ladder",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("mbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ladder.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMB3",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Mario SMB3",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Big Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigmario3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Raccoon (sic) Mario SMB3",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Racoon Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("racoonmario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Tanooki Mario SMB3",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Tanooki Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tanookimario.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Brick SMB3",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3brick.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //piranhaplant
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Piranha Plant SMB2 (SMBLL)",
                    NameToOrderByOverride = "piranhaplant",
                    DescriptionOverride = "Piranha Plant",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("piranhaplantView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("piranhaplant3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Overworld Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ground.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luckyblock
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Lucky Block SMB3",
                    NameToOrderByOverride = "luckyblock",
                    DescriptionOverride = "Lucky Block",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("luckyblock2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Snow Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ground5.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underwater Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ground2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //beveledbrick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Beveled Brick SMB",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Beveled Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbbeveledblock.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //beveledbrick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underground Beveled Brick SMB",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Beveled Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbbeveledblock2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //beveledbrick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle Beveled Brick SMB",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Beveled Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbbeveledblock3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //beveledbrick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Beveled Brick SMB3",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Beveled Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3beveledblock.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //coral
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Coral SMB",
                    NameToOrderByOverride = "coral",
                    DescriptionOverride = "Coral",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbtilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("coral.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Overworld Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3bigground.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //beveledbrick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Beveled Brick SMB3",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Beveled Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3bigbeveledblock.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //brick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Brick SMB3",
                    NameToOrderByOverride = "brick",
                    DescriptionOverride = "Brick",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3bigbrick.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ice
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Ice SMB3",
                    NameToOrderByOverride = "ice",
                    DescriptionOverride = "Ice",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ice.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ice
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Ice SMB3",
                    NameToOrderByOverride = "ice",
                    DescriptionOverride = "Ice",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3bigice.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Underground Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ground4.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //luckyblock
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Lucky Block SMB3",
                    NameToOrderByOverride = "luckyblock",
                    DescriptionOverride = "Lucky Block",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3bigluckyblock.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Ground SMB2 (SMBUSA)",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusatilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbusaground.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Grassy Ground SMB2 (SMBUSA)",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbusatilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smbusaground2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ground6.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //ground
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Red Castle Ground SMB3",
                    NameToOrderByOverride = "ground",
                    DescriptionOverride = "Ground",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smb3tilesView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smb3ground7.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fire Mario SMB3",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario3View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("firemario2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMW",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mario4View.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario4.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMAS (SMB)",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("smasmarioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario5.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMAS (SMBUSA)",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("smasmarioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario6.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //mario
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Mario SMAS (SMB3)",
                    NameToOrderByOverride = "mario",
                    DescriptionOverride = "Mario",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("smasmarioView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mario7.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //castle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Castle SMAS",
                    NameToOrderByOverride = "castle",
                    DescriptionOverride = "Castle",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("castle3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //castle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Big Castle SMAS",
                    NameToOrderByOverride = "castle",
                    DescriptionOverride = "Big Castle",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bigcastle3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //flagpole
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Flagpole SMAS",
                    NameToOrderByOverride = "flagpole",
                    DescriptionOverride = "Flagpole",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("flagpole3.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //flagpole
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Flagpole SMW",
                    NameToOrderByOverride = "flagpole",
                    DescriptionOverride = "Flagpole",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("structureView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("flagpole2.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //fire
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fire SMB",
                    NameToOrderByOverride = "fire",
                    DescriptionOverride = "Fire",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("smbobjectView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fireball.png", 1f);
                            Instance.FixColliders();
                        };
                    }
                }
            );
            //musicbox
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Music Box (Overworld) SMB",
                    NameToOrderByOverride = "music",
                    DescriptionOverride = "Music Box",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("musicboxView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("musicbox.png", 1f);
                            Instance.FixColliders();
                            AudioSource audioSource;
                            AudioClip sound;
                            Instance.AddComponent<UseEventTrigger>().Action = () =>
                            {
                                sound = ModAPI.LoadSound("smbow.mp3");
                                audioSource = Instance.AddComponent<AudioSource>();
                                audioSource.minDistance = 20;
                                audioSource.maxDistance = 100;
                                audioSource.clip = sound;
                                audioSource.Play();
                            };
                        };
                    }
                }
            );
            //musicbox
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Music Box (Underground) SMB",
                    NameToOrderByOverride = "music",
                    DescriptionOverride = "Music Box",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("musicboxView.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("musicbox2.png", 1f);
                            Instance.FixColliders();
                            AudioSource audioSource;
                            AudioClip sound;
                            Instance.AddComponent<UseEventTrigger>().Action = () =>
                            {
                                sound = ModAPI.LoadSound("smbug.mp3");
                                audioSource = Instance.AddComponent<AudioSource>();
                                audioSource.minDistance = 20;
                                audioSource.maxDistance = 100;
                                audioSource.clip = sound;
                                audioSource.Play();
                            };
                        };
                    }
                }
            );
        }
    }
}